# comment out when not stable release
%define stab	stable1

# comment out when not pre-release
#define prel	beta1

%define rel	1

Name:		sayonara
Version:	1.9.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	A lightweight Qt Audio player
License:	GPLv3+
Group:		Sound/Players
URL:		https://sayonara-player.com/
Source0:	https://gitlab.com/luciocarreras/sayonara-player/-/archive/%{version}%{?stab:-%stab}%{?prel:-%prel}/%{name}-player-%{version}%{?stab:-%stab}%{?prel:-%prel}.tar.bz2
Patch1:		0001-Engine_explicitly-use-glib-types-for-32-bit-support.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(taglib)

Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-soundtouch

%description
Sayonara is a small, clear, not yet platform-independent music player.
Low CPU usage, low memory consumption and no long loading times are only
three benefits of this player. Sayonara should be easy and intuitive to use
and therefore it should be able to compete with the most popular music players.

%prep
%autosetup -p1 -n %{name}-player-%{version}%{?stab:-%stab}%{?prel:-%prel}

%build
%cmake_qt5 \
	-DWITH_SYSTEM_TAGLIB=ON \
	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now"

%cmake_build

%install
%cmake_install

# remove menu dir, because it's not necessary
rm -rf %{buildroot}%{_datadir}/menu

%files
%doc MANUAL README.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-ctl
%{_bindir}/%{name}-query
%{_datadir}/%{name}/
%{_datadir}/applications/com.%{name}-player.Sayonara.desktop
%{_metainfodir}/com.%{name}-player.Sayonara.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-ctl.1.*
%{_mandir}/man1/%{name}-query.1.*


%changelog
* Fri Apr 05 2024 daviddavid <daviddavid> 1.9.0-1.mga10
+ Revision: 2054568
- new version: 1.9.0 (stable1)

* Wed Aug 24 2022 wally <wally> 1.8.0-0.beta1.1.mga9
+ Revision: 1879960
- new version 1.8.0-beta1

* Mon Apr 04 2022 umeabot <umeabot> 1.7.0-2.mga9
+ Revision: 1843665
- Mageia 9 Mass Rebuild

* Fri May 21 2021 daviddavid <daviddavid> 1.7.0-1.mga9
+ Revision: 1726005
- new version: 1.7.0 (stable1)

* Wed Jan 06 2021 daviddavid <daviddavid> 1.6.0-0.beta7.1.mga8
+ Revision: 1669223
- new version: 1.6.0-beta7

* Thu Dec 17 2020 umeabot <umeabot> 1.6.0-0.beta6.2.mga8
+ Revision: 1659767
- Rebuild for new Qt5

* Wed Jul 22 2020 daviddavid <daviddavid> 1.6.0-0.beta6.1.mga8
+ Revision: 1607814
- new version: 1.6.0-beta6

* Sat Feb 15 2020 umeabot <umeabot> 1.5.1-2.mga8
+ Revision: 1528348
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Aug 19 2019 daviddavid <daviddavid> 1.5.1-1.mga8
+ Revision: 1429982
- new version: 1.5.1 (stable4)

* Sun Jun 30 2019 daviddavid <daviddavid> 1.4.1-1.mga8
+ Revision: 1416247
- new version: 1.4.1

* Fri May 03 2019 daviddavid <daviddavid> 1.3.0-0.svn20190428.3.mga7
+ Revision: 1396277
- new version: 1.3.0 svn20190428

* Mon Apr 01 2019 umeabot <umeabot> 1.1.1-0.svn20180905.3.mga7
+ Revision: 1384718
- Qt5 Rebuild

* Mon Oct 08 2018 daviddavid <daviddavid> 1.1.1-0.svn20180905.2.mga7
+ Revision: 1318722
- Mageia 7 Mass Rebuild

* Mon Sep 10 2018 daviddavid <daviddavid> 1.1.1-0.svn20180905.1.mga7
+ Revision: 1258155
- new version: 1.1.1 svn20180905

* Tue Aug 28 2018 daviddavid <daviddavid> 1.1.1-0.svn20180826.1.mga7
+ Revision: 1255214
- new version: 1.1.1 svn20180826
- remove merged upstream patch

* Mon Jun 04 2018 daviddavid <daviddavid> 1.0.0-0.svn20180115.2.mga7
+ Revision: 1234386
- add patch to fix build with new Qt5 >= 5.11.0

* Sat Feb 24 2018 daviddavid <daviddavid> 1.0.0-0.svn20180115.1.mga7
+ Revision: 1204707
- new version: 1.0.0 svn20180115

* Mon Jan 01 2018 daviddavid <daviddavid> 1.0.0-0.svn20171231.1.mga7
+ Revision: 1188566
- new version: 1.0.0 svn20171231

* Tue Nov 01 2016 daviddavid <daviddavid> 0.9.2-0.svn20161030.1.mga6
+ Revision: 1064441
- new snapshot: 0.9.2 svn20161030

* Fri Oct 14 2016 daviddavid <daviddavid> 0.9.2-0.svn20161013.1.mga6
+ Revision: 1060728
- new version: 0.9.2 svn20161013

* Mon Oct 10 2016 daviddavid <daviddavid> 0.9.2-0.svn20161009.1.mga6
+ Revision: 1059980
- new version: 0.9.2 svn20161009

* Sun Sep 25 2016 daviddavid <daviddavid> 0.9.2-0.svn20160920.1.mga6
+ Revision: 1056016
- new version: 0.9.2
- requires gstreamer1.0-plugins-bad and gstreamer1.0-soundtouch

* Thu Sep 15 2016 daviddavid <daviddavid> 0.9.1-0.svn20160913.1.mga6
+ Revision: 1052980
- new version: 0.9.1 svn20160913

* Wed Jun 08 2016 daviddavid <daviddavid> 0.9.0-0.svn20160607.1.mga6
+ Revision: 1020870
- new version: 0.9.0 svn20160607

* Thu May 19 2016 daviddavid <daviddavid> 0.9.0-0.svn20160517.1.mga6
+ Revision: 1016966
- new version: 0.9.0 svn20160517

* Sun May 01 2016 daviddavid <daviddavid> 0.8.3-0.svn20160501.1.mga6
+ Revision: 1008494
- new version: 0.8.3 svn20160501

* Mon Mar 07 2016 daviddavid <daviddavid> 0.8.2-0.svn20160226.1.mga6
+ Revision: 986943
- new version: 0.8.2 svn20160226

* Sun Feb 21 2016 daviddavid <daviddavid> 0.8.2-0.svn20160219.1.mga6
+ Revision: 975059
- new version: 0.8.2 svn20160219

* Thu Feb 18 2016 daviddavid <daviddavid> 0.8.2-0.svn20160214.1.mga6
+ Revision: 966974
- new version: 0.8.2 svn20160214
- new upstream Source URL

* Sun Jan 10 2016 daviddavid <daviddavid> 0.8.1-0.r319.1.mga6
+ Revision: 921228
- new version: 0.8.1 r319

* Mon Dec 21 2015 daviddavid <daviddavid> 0.8.0-0.r293.1.mga6
+ Revision: 913223
- new version: 0.8.0 r293

* Wed Dec 16 2015 daviddavid <daviddavid> 0.8.0-0.r286.1.mga6
+ Revision: 911111
- new version: 0.8.0 r286
- add BuildRequires on qttools5
- use %%cmake_qt5 instead of %%cmake as sayonara requires Qt5

* Sat Oct 31 2015 daviddavid <daviddavid> 0.7.1-0.r211.1.mga6
+ Revision: 896861
- new version: 0.7.1 r211

* Tue Oct 06 2015 daviddavid <daviddavid> 0.7.1-0.r195.1.mga6
+ Revision: 886526
- new version: 0.7.1 r195

* Mon Sep 28 2015 daviddavid <daviddavid> 0.7.0-0.r155.1.mga6
+ Revision: 884357
- new version: 0.7.0 r155

* Wed Aug 26 2015 daviddavid <daviddavid> 0.7.0-0.r151.1.mga6
+ Revision: 869613
- imported package sayonara (based on Fedora)

